#!/bin/sh
mkdir -p build
clang++ -O3 -std=c++11 -Wall -stdlib=libstdc++ original.cpp -o build/original-clang
clang++ -O3 -std=c++11 -Wall -stdlib=libstdc++ manually-unrolled.cpp -o build/manually-unrolled-clang
clang++ -O3 -std=c++11 -unroll-count=16 -Wall -stdlib=libstdc++ original.cpp -o build/compiler-unrolled-clang
clang++ -O3 -std=c++11 -Wall -stdlib=libstdc++ ADD-ED.cpp -o build/ADD-ED-clang
g++ -O3 -std=c++11 -Wall original.cpp -o build/original-gcc
g++ -O3 -std=c++11 -Wall manually-unrolled.cpp -o build/manually-unrolled-gcc
g++ -O3 -std=c++11 -funroll-all-loops -Wall original.cpp -o build/compiler-unrolled-gcc
g++ -O3 -std=c++11 -Wall ADD-ED.cpp -o build/ADD-ED-gcc